=== chipsec_tools/log_parser/requirements.txt ===
Click==7.0
Flask==1.1.1
itsdangerous==1.1.0
Jinja2==2.11.3
lxml>=4.6.5
MarkupSafe==1.1.1
Werkzeug==0.16.0
