=== debian/control ===
Source: chipsec
Section: python
Priority: optional
Maintainer: CHIPSEC Team <chipsec@intel.com>
Build-Depends: python-setuptools (>= 0.6b3), python (>=3.7), gcc, python-dev, debhelper, dkms
Standards-Version: 3.9.1
Homepage: https://github.com/chipsec/chipsec

Package: chipsec
Architecture: amd64 i386
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: chipsec-dkms
Description: Platform Security Assessment Framework 
 CHIPSEC: Platform Security Assessment Framework

Package: chipsec-dkms
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms, nasm
Description: Platform Security Assessment Framework - module building source
 This package contains source code for the low-level drivers
 for CHIPSEC: Platform Security Assessment Framework
